#
# spec file for package zsh (Version 4.0.2)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake texinfo
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         zsh
Copyright:    1999 - not specified
Group:        System Environment/Shells
Provides:     zsh 
Autoreqprov:  on
Version:      4.0.2
Release:      43
Summary:      zsh shell
Source0:      zsh-%{version}.tar.bz2
Patch0:       zsh-%{version}.dif

%description
Zsh is a UNIX command interpreter (shell) which of the standard shells
most resembles the Korn shell (ksh), although it is not completely
compatible.  It includes enhancements of many types, notably in the
command-line editor, options for customizing its behavior, filename
globbing, features to make C-shell (csh) users feel more at home and
extra features drawn from tcsh (another `custom' shell).  Zsh was
written by Paul Falstad.

Authors:
--------
    Paul Falstad

SuSE series: ap

%prep
%setup -n zsh-%{version}
%patch0 -p1

%build
    CC=gcc
CFLAGS="$RPM_OPT_FLAGS -Wall -pipe"
 SHARE=/usr/share
   LIB=/usr/lib
   VER=zsh/%{version}
   DOC=%{_defaultdocdir}
export CC CFLAGS
%{?suse_update_config:%{suse_update_config -f}}
./configure ${RPM_ARCH}-suse-linux \
        --prefix=/usr		\
        --mandir=${SHARE}/man	\
        --infodir=${SHARE}/info	\
        --datadir=${DOC}	\
        --enable-fndir=${SHARE}/${VER}/functions	\
	--enable-site-fndir=${SHARE}/zsh/site-functions	\
        --libdir=${LIB}		\
        --enable-maildir-support
make	VERSION=%{version}
make -C Doc all zsh.info zsh_toc.html	VERSION=%{version}
mkdir -p Help
cd Help/
test -L man1/ || ln -sf ../Doc man1
troff -Tlatin1 -t -mandoc ../Doc/zshbuiltins.1 | \
	grotty -bou | \
	sed -e 's//{+|-}/' | \
	../Util/helpfiles
cd ../

%install
make install      VERSION=%{version}
make install.info VERSION=%{version}
make install.html VERSION=%{version}
mkdir -p %{_defaultdocdir}/zsh
install -m 644 Etc/* %{_defaultdocdir}/zsh
rm -f %{_defaultdocdir}/zsh/Makefile*
rm -f %{_defaultdocdir}/zsh/*.yo
groff -Tlatin1 -ms Doc/intro.ms > %{_defaultdocdir}/zsh/intro.txt
mkdir -p /usr/share/zsh/help
cp -a Help/* /usr/share/zsh/help/
gzip -9f /usr/share/info/zsh.inf*[^z] || true
gzip -9f /usr/share/man/zsh*.1 || true
ln -sf zsh_toc.html %{_defaultdocdir}/zsh/htmldoc/index.html
cp Misc/compctl-examples %{_defaultdocdir}/zsh/
chown -R root:root /usr/share/zsh

%files
#%config /etc/zshrc
/usr/bin/zsh
/usr/lib/zsh/
/usr/share/zsh/
%docdir %{_defaultdocdir}/zsh/
%doc %{_defaultdocdir}/zsh/*
%doc /usr/share/info/zsh.info*.gz
%doc /usr/share/man/man1/zsh*.1.gz

%changelog -n zsh
* Tue Jun 26 2001 - mmj@suse.de
- Update to the newly released 4.0.2
* Sat Jun 02 2001 - mmj@suse.de
- Updated to the new stable release, zsh-4.0.1
- Fixed build prob on beta-i386 and beta-ia64
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Sun Apr 15 2001 - schwab@suse.de
- Fix missing declarations.
* Fri Apr 13 2001 - mmj@suse.de
- Updated to 4.0.1-pre-3
* Wed Mar 14 2001 - mmj@suse.de
- Updated to 4.0.1-pre-2
* Sun Feb 18 2001 - mmj@suse.de
- Updated to 4.0.1-pre-1
* Fri Dec 15 2000 - werner@suse.de
- Update to 3.1.9-dev-8
* Fri Oct 06 2000 - kukuk@suse.de
- Change group tag
* Fri May 12 2000 - schwab@suse.de
- Update config files.
- Move docs to %%{_defaultdocdir}.
* Thu Jan 27 2000 - werner@suse.de
- New zsh version 3.1.6-dev-16
- Install html and info documentation
- Enable run-help help library
- Fix paths of perl and zsh scripts
- Enable command line history
- Enable command line complementation/correction
* Mon Dec 06 1999 - schwab@suse.de
- Fix errors from makeinfo
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Nov 17 1998 - bs@suse.de
- removed symlink /etc/zshrc -> profile (aaa_base contains a real zshrc now)
* Fri Oct 10 1997 - florian@suse.de
- update to version 3.0.5
* Mon Jun 23 1997 - florian@suse.de
- update to version 3.0.4
* Wed Jan 22 1997 - florian@suse.de
- update to version 3.0.2
* Thu Jan 02 1997 - florian@suse.de
- update to version 3.0.1
- added more documentation in binary package
* Thu Jan 02 1997 - florian@suse.de
  new version 3.0.0
